********
*
*$PATH_TO_CONFIG$ muss durch den eigentlichen Pfad ersetzt werden!
*
******

#General config
general.login.deaktivate=false
general.publicURLContext=https://localhost:8443/moa-id-configuration
general.moaid.instance.url=https://localhost:8443/moa-id-auth

general.defaultlanguage=de 
general.ssl.certstore=certs/certstore
general.ssl.truststore=certs/truststore
general.ssl.hostnamevalidation=true

general.moaconfig.key=ConfigurationEncryptionKey
general.pvp.schemavalidation=true

##Hibnerate configuration for MOA-ID 2.0 configuration
configuration.database.byteBasedValues=false
hibernate.dialect=org.hibernate.dialect.MySQL5Dialect
hibernate.connection.url=jdbc:mysql://localhost/moa-id-config?charSet=utf-8&autoReconnect=true&serverTimezone=UTC
hibernate.connection.charSet=utf-8
hibernate.connection.driver_class=com.mysql.cj.jdbc.Driver
hibernate.connection.username=
hibernate.connection.password=

jpaVendorAdapter.generateDdl=true
hibernate.show_sql=false
dbcp.connectionProperties=
dbcp.initialSize=0
dbcp.maxActive=8
dbcp.maxIdle=8
dbcp.minIdle=0
dbcp.maxWaitMillis=-1
dbcp.testOnBorrow=true
dbcp.testOnReturn=false
dbcp.testWhileIdle=false
dbcp.validationQuery=SELECT 1

##Mail
general.mail.host=smtp.localhost...
#general.mail.host.port=
#general.mail.host.username=
#general.mail.host.password=

general.mail.from.name=MOA-ID 2.x Konfigurationstool
general.mail.from.address=no-reply@localhost

general.mail.useraccountrequest.verification.subject=MOA-ID 2.x - Benutzerverifikation
general.mail.useraccountrequest.verification.template=mail/verification_template.html

general.mail.useraccountrequest.isactive.subject=MOA-ID 2.x - Benutzeraktivierung
general.mail.useraccountrequest.isactive.template=mail/activation_template.html
general.mail.useraccountrequest.rejected.template=mail/rejected_template.html

general.mail.createOArequest.isactive.subject=MOA-ID 2.x - Online-Applikationsaktivierung
general.mail.createOArequest.isactive.template=mail/oa_activation_template.html

general.mail.admin.adress=admin@localhost
general.mail.admin.subject=MOA-ID 2.x - Statusmeldung
general.mail.admin.adresses.template=mail/admin_template.html


##PVP2 Authentication
general.login.pvp2.isactive=true

general.login.pvp2.idp.metadata.url=https://localhost:8443/moa-id-auth/pvp2/metadata
general.login.pvp2.idp.metadata.certificate=$PATH_TO_CONFIG$/conf/moa-id-configuration/keys/moa_idp.crt
general.login.pvp2.idp.metadata.entityID=https://localhost:8443/moa-id-auth/pvp2/metadata
general.login.pvp2.idp.sso.logout.url=https://localhost:8443/moa-id-auth/LogOut?redirect=

general.login.pvp2.metadata.entities.name=MOA-ID 2.x Configuration Tool
general.login.pvp2.keystore.url=$PATH_TO_CONFIG$/conf/moa-id-configuration/keys/application[password].p12
general.login.pvp2.keystore.password=password
general.login.pvp2.keystore.type=PKCS12

general.login.pvp2.keystore.metadata.key.alias=pvp_metadata
general.login.pvp2.keystore.metadata.key.password=password

general.login.pvp2.keystore.authrequest.encryption.key.alias=pvp_encryption
general.login.pvp2.keystore.authrequest.encryption.key.password=password

general.login.pvp2.keystore.authrequest.key.alias=pvp_request
general.login.pvp2.keystore.authrequest.key.password=password

#UserRequestCleanUP time in hours
general.userrequests.cleanup.delay=18
